Name:          irssi
Version:       0.8.19
Release:       1mamba
Summary:       A terminal based IRC client for UNIX systems
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.irssi.org
Source:        https://github.com/irssi/irssi/releases/download/%{version}/irssi-%{version}.tar.xz
#Source:        http://www.irssi.org/files/irssi-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libncurses-devel
BuildRequires: libopenssl-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Irssi is a terminal based IRC client for UNIX systems. It also supports SILC and ICB protocols via plugins.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Irssi is a terminal based IRC client for UNIX systems. It also supports SILC and ICB protocols via plugins.

This package contains static libraries and header files need for development.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot}%{_prefix}/lib \
   -type f \( -name perllocal.pod -o -name .packlist \) -exec rm -f {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%{_sysconfdir}/irssi.conf
%{_bindir}/irssi
%dir %{_datadir}/irssi
%{_datadir}/irssi/*
%{_docdir}/irssi/*
%{_mandir}/man1/irssi.1*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}
%dir %{_includedir}/irssi
%{_includedir}/irssi/*
%doc ChangeLog NEWS TODO

%changelog
* Thu May 19 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.19-1mamba
- update to 0.8.19

* Sun Oct 12 2014 Automatic Build System <autodist@mambasoft.it> 0.8.17-1mamba
- automatic version update by autodist

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 0.8.16-1mamba
- automatic version update by autodist

* Thu Nov 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.15-2mamba
- perl 5.16 mass rebuild

* Thu Jun 03 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.15-1mamba
- package created by autospec
